curl --request PUT \
--url https://app.tagadapay.com/api/public/v1/funnels/{funnelId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "funnelv2_123",
"storeId": "store_123",
"config": {
"id": "my-funnel",
"name": "My Updated Funnel",
"version": "1.0.1",
"steps": []
}
}
'{
"funnel": {
"id": "funnelv2_123",
"name": "My Updated Funnel"
},
"operations": [
{
"type": "mount",
"stepId": "step_1",
"status": "completed"
}
],
"summary": {
"total": 1,
"mounted": 1,
"unmounted": 0,
"swapped": 0,
"failed": 0
}
}Update a funnel configuration and automatically handle plugin mount/unmount/swap operations
curl --request PUT \
--url https://app.tagadapay.com/api/public/v1/funnels/{funnelId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "funnelv2_123",
"storeId": "store_123",
"config": {
"id": "my-funnel",
"name": "My Updated Funnel",
"version": "1.0.1",
"steps": []
}
}
'{
"funnel": {
"id": "funnelv2_123",
"name": "My Updated Funnel"
},
"operations": [
{
"type": "mount",
"stepId": "step_1",
"status": "completed"
}
],
"summary": {
"total": 1,
"mounted": 1,
"unmounted": 0,
"swapped": 0,
"failed": 0
}
}